Subject: Re: [PATCH] gitweb: Fix shortlog only showing HEAD revision.

From: "J.H." <[email-masked]>
Date: Fri, 05 Jan 2007 13:25:58 -0800

On Fri, 2007-01-05 at 16:21 -0500, Michael Krufky wrote:
> Robert Fitzsimons wrote:
> > My change in 190d7fdcf325bb444fa806f09ebbb403a4ae4ee6 had a small bug
> > found by Michael Krufky which caused the passed in hash value to be
> > ignored, so shortlog would only show the HEAD revision.
> > 
> > Signed-off-by: Robert Fitzsimons <[email-masked]>
> > ---
> > 
> > Thanks for finding this Michael.  It' just a small bug introducted by a
> > recent change I made.  Including John 'Warthog9' so hopefully he can add
> > this to the version of gitweb which is hosted on kernel.org.
> > 
> > Robert
> 
> Robert,
> 
> Thank you for fixing this bug so quickly.  I've noticed that the gitweb
> templates on kernel.org have changed at least once since you wrote this email to
> me... (I can tell, based on the fact that the git:// link has moved from the
> project column to a link labeled, "git" all the way to the right.)
> 
> Unfortunately, however, the bug that I had originally reported has not yet been
> fixed on the kernel.org www server.  Either the patch in question hasn't yet
> been applied to that installation, or it HAS in fact been applied, but doesn't
> fix the problem as intended.

Simple answer - it's sitting in my tree waiting for me to have enough
time to get back to gitweb.  There are several things in flight and I'm
not prepared to push them out in their current state.

So yes the problem is fixed, but it will probably be sometime this
weekend before it gets pushed out to the kernel.org servers.

> 
> Do you know which of the above is true?
> 
> Thanks again,
> 
> Mike Krufky
> 
> >  gitweb/gitweb.perl |    2 +-
> >  1 files changed, 1 insertions(+), 1 deletions(-)
> > 
> > diff --git a/gitweb/gitweb.perl b/gitweb/gitweb.perl
> > index d845e91..2e94c2c 100755
> > --- a/gitweb/gitweb.perl
> > +++ b/gitweb/gitweb.perl
> > @@ -4423,7 +4423,7 @@ sub git_shortlog {
> >  	}
> >  	my $refs = git_get_references();
> >  
> > -	my @commitlist = parse_commits($head, 101, (100 * $page));
> > +	my @commitlist = parse_commits($hash, 101, (100 * $page));
> >  
> >  	my $paging_nav = format_paging_nav('shortlog', $hash, $head, $page, (100 * ($page+1)));
> >  	my $next_link = '';
> 
> -
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html